You are not logged in.

#1 2018-06-05 07:36:46

ElNinijo
Member
Registered: 2010-11-20
Posts: 47

[Solved]qt5 problem + kadu

Hello

After upgrade my arch to the newest version of qt5 my kadu stop working correctly. Problem is with module history. I recivered message "driver no loaded".
I know that kadu is no longer actively maintained. But i try to contact to author kadu and recived info from him that probably in new version qt5 is lack of plugin qt sqlite.

1. How can i check if this plugin is installed with qt5?
2. Is possible to install this plugin again?

Thanks very much for your help

Last edited by ElNinijo (2018-06-17 08:14:14)

Offline

#2 2018-06-05 07:45:31

V1del
Forum Moderator
Registered: 2012-10-16
Posts: 4,722

Re: [Solved]qt5 problem + kadu

QSqlite is part of the qt5-base packages, have you already tried rebuilding kadu explicitly against the new QT version?

Mod note: Moving to AUR issues...

Last edited by V1del (2018-06-05 07:46:00)

Offline

#3 2018-06-05 18:22:48

ElNinijo
Member
Registered: 2010-11-20
Posts: 47

Re: [Solved]qt5 problem + kadu

I send you email,

i'm looking for soultion for my problem and i suppose that problem can be with plugin: /usr/lib/qt/plugins/sqldrivers/libsqlite

There is some difference beetween version 5.10 i 5.11 thats way kadu not work correctly

Last edited by ElNinijo (2018-06-05 18:44:28)

Offline

#4 2018-06-05 19:39:25

V1del
Forum Moderator
Registered: 2012-10-16
Posts: 4,722

Re: [Solved]qt5 problem + kadu

You have to rebuild it against the new Qt version. Also please do troubleshooting directly on the forums instead of by mail, that way people that might've more specific knowledge might be able to chime in, and future searchers will find a publicly available solution.

You mentioned an error during rebuild with makepkg, post that error message and the command used to produce it: https://bbs.archlinux.org/viewtopic.php?id=57855

Last edited by V1del (2018-06-05 19:39:55)

Offline

#5 2018-06-05 20:43:53

Fixxer
Member
From: Sosnowiec/Poland
Registered: 2011-08-29
Posts: 146
Website

Re: [Solved]qt5 problem + kadu

Informational - it may be some difficulties to get Kadu to work together with newer and newer Qt. Here is info:

Kadu is no longer actively maintained. New versions will not be released until someone picks ups this project.


marcin82

Offline

#6 2018-06-06 07:15:05

V1del
Forum Moderator
Registered: 2012-10-16
Posts: 4,722

Re: [Solved]qt5 problem + kadu

We do know about that, but technically Qt5 should still be API compatible for the most part, so whatever error there is might be a trivial patch. But yeah in the long run  it'd likely be better to look for an alternative, maintained client.

Offline

#7 2018-06-06 08:16:42

ElNinijo
Member
Registered: 2010-11-20
Posts: 47

Re: [Solved]qt5 problem + kadu

@V1del thx for the answer. i will try to rebuild kadu against qt5 but first i must learn how do make it.
I have never done it before

Offline

#8 2018-06-06 08:18:33

V1del
Forum Moderator
Registered: 2012-10-16
Posts: 4,722

Re: [Solved]qt5 problem + kadu

How did you install it then? Download the AUR package run makepkg -si and post the eventually resulting error.

Offline

#9 2018-06-06 08:27:33

ElNinijo
Member
Registered: 2010-11-20
Posts: 47

Re: [Solved]qt5 problem + kadu

I install it via pacman when kadu was in extra repo

@V1del i have done like you wrote and my build finshed by error:

CMake Error at CMakeLists.txt:181 (qt5_use_modules):
  Unknown CMake command "qt5_use_modules".
Call Stack (most recent call first):
  CMakeLists.txt:188 (kadu_add_plugin_test)
  kadu-core/chat/CMakeLists.txt:32 (kadu_add_test)


-- Configuring incomplete, errors occurred!

Last edited by ElNinijo (2018-06-06 09:23:21)

Offline

#10 2018-06-06 13:02:07

Lone_Wolf
Member
From: Netherlands, Europe
Registered: 2005-10-04
Posts: 6,072

Re: [Solved]qt5 problem + kadu

It seems cmake has deprecated that macro and advises to replace it with target_link_libraries , http://doc.qt.io/qt-5/cmake-manual.html .

qt5_use_modules (${test_name} LINK_PRIVATE Core Gui Network Qml Quick QuickWidgets Test WebKit WebKitWidgets Widgets Xml)

becomes something like this :

target_link_libraries(${test_name} LINK_PRIVATE Qt5:Core Qt5:Gui Qt5:Network Qt5:Qml Qt5:Quick Qt5:QuickWidgets Qt5:Test Qt5:WebKit Qt5:WebKitWidgets Qt5:Widgets Qt5:Xml)

You'll need to create a patch that makes those changes, see https://wiki.archlinux.org/index.php/Patching_packages


Booting with apg Openrc, NOT systemd.
Automounting : not needed, i prefer pmount
Aur helpers : makepkg + my own local repo === rarely need them

Offline

#11 2018-06-06 14:57:42

ElNinijo
Member
Registered: 2010-11-20
Posts: 47

Re: [Solved]qt5 problem + kadu

@Lone_Wolf

I change all macros to your recommend, and now i got error:

kadu/kadu/src/kadu-4.3/kadu-core/activate.cpp:1:10: fatal error: QtWidgets/QWidget: Nie ma takiego pliku ani katalogu
 #include <QtWidgets/QWidget>
          ^~~~~~~~~~~~~~~~~~~
compilation terminated.
make[2]: *** [kadu-core/CMakeFiles/libkadu.dir/build.make:63: kadu-core/CMakeFiles/libkadu.dir/activate.cpp.o] Error 1
make[1]: *** [CMakeFiles/Makefile2:273: kadu-core/CMakeFiles/libkadu.dir/all] Error 2
make: *** [Makefile:141: all] Error 2

Last edited by ElNinijo (2018-06-09 15:56:08)

Offline

#12 2018-06-06 15:32:25

Lone_Wolf
Member
From: Netherlands, Europe
Registered: 2005-10-04
Posts: 6,072

Re: [Solved]qt5 problem + kadu

Nie ma takiego pliku ani katalogu = There is no such file or directory ?

qt5-base does have a QtWidgets folder but i don't see a QWidget file .
Post makepkg command you run and whole output please.


Booting with apg Openrc, NOT systemd.
Automounting : not needed, i prefer pmount
Aur helpers : makepkg + my own local repo === rarely need them

Offline

#13 2018-06-06 17:02:35

ElNinijo
Member
Registered: 2010-11-20
Posts: 47

Re: [Solved]qt5 problem + kadu

Nie ma takiego pliku ani katalogu = There is no such file or directory ? - yes

in output there are sentence and words in my polish language, if you want, i can translate into english

makepkg -si
==> Create package/Tworzenie pakietu: kadu 4.3-1 (śro, 6 cze 2018, 19:10:22)
==> Check dependency needed to start/Sprawdzanie zależności potrzebnych do uruchomienia...
==> Check dependency needed to build/Sprawdzanie zależności potrzebnych do budowy...
==> Pobieranie źródeł...
  -> Found kadu-4.3.tar.bz2
  -> Found gcc7.patch
==> Check files source with md5sums...
    kadu-4.3.tar.bz2 ... Correct
    gcc7.patch ... Correct
==> Extract sources...
  -> Extract kadu-4.3.tar.bz2 with bsdtar
==> Start prepare()...
patching file kadu-core/plugin/dependency-graph/plugin-dependency-graph-builder.h
Hunk #1 succeeded at 22 with fuzz 2.
==> Start build()...
-- The C compiler identification is GNU 8.1.0
-- The CXX compiler identification is GNU 8.1.0
-- Check for working C compiler: /usr/bin/cc
-- Check for working C compiler: /usr/bin/cc -- works
-- Detecting C compiler ABI info
-- Detecting C compiler ABI info - done
-- Detecting C compile features
-- Detecting C compile features - done
-- Check for working CXX compiler: /usr/bin/c++
-- Check for working CXX compiler: /usr/bin/c++ -- works
-- Detecting CXX compiler ABI info
-- Detecting CXX compiler ABI info - done
-- Detecting CXX compile features
-- Detecting CXX compile features - done
-- No NETWORK_IMPLEMENTATION defined. Autodetected implementation: Qt
-- Found PkgConfig: /usr/bin/pkg-config (found version "1.4.2") 
-- Checking for module 'injeqt>=1.1'
--   Found injeqt, version 1.1.0
-- Looking for include file execinfo.h
-- Looking for include file execinfo.h - found
-- Fast (re)linking disabled
-- Found LibArchive: /usr/lib/libarchive.so (found suitable version "3.3.2", minimum required is "2.6.0") 
-- Looking for archive_write_set_compression_lzma in /usr/lib/libarchive.so
-- Looking for archive_write_set_compression_lzma in /usr/lib/libarchive.so - found
-- Looking for archive_write_set_compression_xz in /usr/lib/libarchive.so
-- Looking for archive_write_set_compression_xz in /usr/lib/libarchive.so - found
-- Looking for XOpenDisplay in /usr/lib/libX11.so;/usr/lib/libXext.so
-- Looking for XOpenDisplay in /usr/lib/libX11.so;/usr/lib/libXext.so - found
-- Looking for gethostbyname
-- Looking for gethostbyname - found
-- Looking for connect
-- Looking for connect - found
-- Looking for remove
-- Looking for remove - found
-- Looking for shmat
-- Looking for shmat - found
-- Looking for IceConnectionNumber in ICE
-- Looking for IceConnectionNumber in ICE - found
-- Found X11: /usr/lib/libX11.so
-- Found required X11 libraries: /usr/lib/libX11.so;/usr/lib/libXfixes.so
-- Using Qt network implementation
-- Icon theme: default
-- Icon theme: faenza
-- Icon theme: glass
-- Icon theme: oxygen
-- Sound theme: default
-- Plugin: antistring
-- Plugin: auto_hide
-- Plugin: autoaway
-- Plugin: autoresponder
-- Plugin: autostatus
-- Plugin: cenzor
-- Plugin: chat_notify
-- Plugin: config_wizard
-- Plugin: docking
-- Plugin: docking_notify
-- Plugin: emoticons
-- Emoticon theme: penguins
-- Emoticon theme: tango
-- Plugin: encryption_otr
-- Checking for module 'libotr>=4.0'
--   Found libotr, version 4.1.1
-- Plugin: exec_notify
-- Plugin: ext_sound
-- Plugin: filedesc
-- Plugin: firewall
-- Plugin: freedesktop_notify
-- Plugin: gadu_protocol
-- Checking for one of the modules 'libgadu>=1.12.2'
--  * libgadu (version 1.12.2) was found in /usr/lib
-- Plugin: hints
-- Plugin: history
-- Plugin: idle
-- Found required X11 libraries: /usr/lib/libX11.so;/usr/lib/libXss.so
-- Plugin: imagelink
-- Plugin: jabber_protocol
-- Checking for one of the modules 'libidn'
-- Checking for one of the modules 'zlib'
-- Checking for one of the modules 'qxmpp>=0.8.3'
-- Plugin: last_seen
-- Plugin: mediaplayer
-- Plugin: mpd_mediaplayer
-- Checking for one of the modules 'libmpdclient'
-- Plugin: mprisplayer_mediaplayer
-- Plugin: pcspeaker
-- Plugin: screenshot
-- Found required X11 libraries: /usr/lib/libX11.so;/usr/lib/libXext.so
-- Plugin: simpleview
-- Plugin: single_window
-- Plugin: sms
-- Plugin: sound
-- Plugin: speech
-- Plugin: spellchecker
-- Checking for one of the modules 'enchant-2'
-- Using enchant as backend. To force aspell use -DWITH_ASPELL=ON
-- Plugin: sql_history
-- Plugin: tabs
-- Plugin: windows_integration
-- Plugin: word_fix
-- Kadu (version: 4.3) will be built:
--  * install prefix: /usr
--  * build type: Release
-- Configuring done
-- Generating done
-- Build files have been written to: /home/jarek/kadu/kadu/src/build
Scanning dependencies of target translations
[  0%] Generating kadu_cs.qm
Updating '/home/jarek/kadu/kadu/src/build/translations/kadu_cs.qm'...
    Generated 903 translation(s) (903 finished and 0 unfinished)
[  0%] Generating qt_cs.qm
Updating '/home/jarek/kadu/kadu/src/build/translations/qt_cs.qm'...
    Generated 0 translation(s) (0 finished and 0 unfinished)
    Ignored 903 untranslated source text(s)
[  0%] Generating qtbase_cs.qm
Updating '/home/jarek/kadu/kadu/src/build/translations/qtbase_cs.qm'...
    Generated 84 translation(s) (0 finished and 84 unfinished)
    Ignored 819 untranslated source text(s)
[  0%] Generating qtdeclarative_cs.qm
Updating '/home/jarek/kadu/kadu/src/build/translations/qtdeclarative_cs.qm'...
    Generated 88 translation(s) (0 finished and 88 unfinished)
    Ignored 815 untranslated source text(s)
[  0%] Generating qtmultimedia_cs.qm
Updating '/home/jarek/kadu/kadu/src/build/translations/qtmultimedia_cs.qm'...
    Generated 0 translation(s) (0 finished and 0 unfinished)
    Ignored 903 untranslated source text(s)
[  0%] Generating qtquick1_cs.qm
Updating '/home/jarek/kadu/kadu/src/build/translations/qtquick1_cs.qm'...
    Generated 0 translation(s) (0 finished and 0 unfinished)
    Ignored 903 untranslated source text(s)
[  0%] Generating qtscript_cs.qm
Updating '/home/jarek/kadu/kadu/src/build/translations/qtscript_cs.qm'...
    Generated 10 translation(s) (0 finished and 10 unfinished)
    Ignored 893 untranslated source text(s)
[  0%] Generating qtxmlpatterns_cs.qm
Updating '/home/jarek/kadu/kadu/src/build/translations/qtxmlpatterns_cs.qm'...
    Generated 0 translation(s) (0 finished and 0 unfinished)
    Ignored 903 untranslated source text(s)
[  0%] Generating kadu_de.qm
Updating '/home/jarek/kadu/kadu/src/build/translations/kadu_de.qm'...
    Generated 903 translation(s) (903 finished and 0 unfinished)
[  0%] Generating kadu_en.qm
Updating '/home/jarek/kadu/kadu/src/build/translations/kadu_en.qm'...
    Generated 895 translation(s) (875 finished and 20 unfinished)
    Ignored 8 untranslated source text(s)
[  1%] Generating kadu_es_MX.qm
Updating '/home/jarek/kadu/kadu/src/build/translations/kadu_es_MX.qm'...
    Generated 903 translation(s) (903 finished and 0 unfinished)
[  1%] Generating kadu_fr.qm
Updating '/home/jarek/kadu/kadu/src/build/translations/kadu_fr.qm'...
    Generated 876 translation(s) (876 finished and 0 unfinished)
    Ignored 27 untranslated source text(s)
[  1%] Generating kadu_pl.qm
Updating '/home/jarek/kadu/kadu/src/build/translations/kadu_pl.qm'...
    Generated 903 translation(s) (903 finished and 0 unfinished)
[  1%] Generating qt_pl.qm
Updating '/home/jarek/kadu/kadu/src/build/translations/qt_pl.qm'...
    Generated 0 translation(s) (0 finished and 0 unfinished)
    Ignored 903 untranslated source text(s)
[  1%] Generating qtbase_pl.qm
Updating '/home/jarek/kadu/kadu/src/build/translations/qtbase_pl.qm'...
    Generated 82 translation(s) (0 finished and 82 unfinished)
    Ignored 821 untranslated source text(s)
[  1%] Generating qtdeclarative_pl.qm
Updating '/home/jarek/kadu/kadu/src/build/translations/qtdeclarative_pl.qm'...
    Generated 82 translation(s) (0 finished and 82 unfinished)
    Ignored 821 untranslated source text(s)
[  1%] Generating qtmultimedia_pl.qm
Updating '/home/jarek/kadu/kadu/src/build/translations/qtmultimedia_pl.qm'...
    Generated 82 translation(s) (0 finished and 82 unfinished)
    Ignored 821 untranslated source text(s)
[  1%] Generating qtquick1_pl.qm
Updating '/home/jarek/kadu/kadu/src/build/translations/qtquick1_pl.qm'...
    Generated 82 translation(s) (0 finished and 82 unfinished)
    Ignored 821 untranslated source text(s)
[  1%] Generating qtscript_pl.qm
Updating '/home/jarek/kadu/kadu/src/build/translations/qtscript_pl.qm'...
    Generated 82 translation(s) (0 finished and 82 unfinished)
    Ignored 821 untranslated source text(s)
[  1%] Generating qtxmlpatterns_pl.qm
Updating '/home/jarek/kadu/kadu/src/build/translations/qtxmlpatterns_pl.qm'...
    Generated 82 translation(s) (0 finished and 82 unfinished)
    Ignored 821 untranslated source text(s)
[  1%] Generating kadu_tr.qm
Updating '/home/jarek/kadu/kadu/src/build/translations/kadu_tr.qm'...
Removed plural forms as the target language has less forms.
If this sounds wrong, possibly the target language is not set or recognized.
    Generated 897 translation(s) (897 finished and 0 unfinished)
    Ignored 6 untranslated source text(s)
[  1%] Built target translations
Scanning dependencies of target libkadu_autogen
[  1%] Automatic MOC for target libkadu
AutoMoc warning
---------------
  "/home/jarek/kadu/kadu/src/kadu-4.3/kadu-core/chat/open-chat-repository.cpp"
The file includes the moc file "open-chat-repository.moc", but does not contain a Q_OBJECT, Q_GADGET or Q_NAMESPACE macro.

AutoMoc warning
---------------
  "/home/jarek/kadu/kadu/src/kadu-4.3/kadu-core/chat/open-chat-service.cpp"
The file includes the moc file "open-chat-service.moc", but does not contain a Q_OBJECT, Q_GADGET or Q_NAMESPACE macro.

AutoMoc warning
---------------
  "/home/jarek/kadu/kadu/src/kadu-4.3/kadu-core/chat/recent-chat-repository.cpp"
The file includes the moc file "recent-chat-repository.moc", but does not contain a Q_OBJECT, Q_GADGET or Q_NAMESPACE macro.

AutoMoc warning
---------------
  "/home/jarek/kadu/kadu/src/kadu-4.3/kadu-core/chat/recent-chat-service.cpp"
The file includes the moc file "recent-chat-service.moc", but does not contain a Q_OBJECT, Q_GADGET or Q_NAMESPACE macro.

AutoMoc warning
---------------
  "/home/jarek/kadu/kadu/src/kadu-4.3/kadu-core/dom/dom-processor-service.cpp"
The file includes the moc file "dom-processor-service.moc", but does not contain a Q_OBJECT, Q_GADGET or Q_NAMESPACE macro.

AutoMoc warning
---------------
  "/home/jarek/kadu/kadu/src/kadu-4.3/kadu-core/dom/dom-processor-service-impl.cpp"
The file includes the moc file "dom-processor-service-impl.moc", but does not contain a Q_OBJECT, Q_GADGET or Q_NAMESPACE macro.

AutoMoc warning
---------------
  "/home/jarek/kadu/kadu/src/kadu-4.3/kadu-core/dom/dom-visitor-provider-repository.cpp"
The file includes the moc file "dom-visitor-provider-repository.moc", but does not contain a Q_OBJECT, Q_GADGET or Q_NAMESPACE macro.

AutoMoc warning
---------------
  "/home/jarek/kadu/kadu/src/kadu-4.3/kadu-core/gui/windows/main-window-repository.cpp"
The file includes the moc file "main-window-repository.moc", but does not contain a Q_OBJECT, Q_GADGET or Q_NAMESPACE macro.

AutoMoc warning
---------------
  "/home/jarek/kadu/kadu/src/kadu-4.3/kadu-core/message/message-manager-impl.cpp"
The file includes the moc file "message-manager-impl.moc", but does not contain a Q_OBJECT, Q_GADGET or Q_NAMESPACE macro.

AutoMoc warning
---------------
  "/home/jarek/kadu/kadu/src/kadu-4.3/kadu-core/message/message-manager.cpp"
The file includes the moc file "message-manager.moc", but does not contain a Q_OBJECT, Q_GADGET or Q_NAMESPACE macro.

AutoMoc warning
---------------
  "/home/jarek/kadu/kadu/src/kadu-4.3/kadu-core/services/image-storage-service.cpp"
The file includes the moc file "image-storage-service.moc", but does not contain a Q_OBJECT, Q_GADGET or Q_NAMESPACE macro.

AutoMoc warning
---------------
  "/home/jarek/kadu/kadu/src/kadu-4.3/kadu-core/storage/storage-point-factory-impl.cpp"
The file includes the moc file "storage-point-factory-impl.moc", but does not contain a Q_OBJECT, Q_GADGET or Q_NAMESPACE macro.

AutoMoc warning
---------------
  "/home/jarek/kadu/kadu/src/kadu-4.3/kadu-core/storage/storage-point-factory.cpp"
The file includes the moc file "storage-point-factory.moc", but does not contain a Q_OBJECT, Q_GADGET or Q_NAMESPACE macro.

AutoMoc: /home/jarek/kadu/kadu/src/kadu-4.3/kadu-core/chat/open-chat-repository.cpp:0: Note: No relevant classes found. No output generated.
AutoMoc: /home/jarek/kadu/kadu/src/kadu-4.3/kadu-core/chat/open-chat-service.cpp:0: Note: No relevant classes found. No output generated.
AutoMoc: /home/jarek/kadu/kadu/src/kadu-4.3/kadu-core/chat/recent-chat-repository.cpp:0: Note: No relevant classes found. No output generated.
AutoMoc: /home/jarek/kadu/kadu/src/kadu-4.3/kadu-core/chat/recent-chat-service.cpp:0: Note: No relevant classes found. No output generated.
AutoMoc: /home/jarek/kadu/kadu/src/kadu-4.3/kadu-core/dom/dom-processor-service.cpp:0: Note: No relevant classes found. No output generated.
AutoMoc: /home/jarek/kadu/kadu/src/kadu-4.3/kadu-core/dom/dom-processor-service-impl.cpp:0: Note: No relevant classes found. No output generated.
AutoMoc: /home/jarek/kadu/kadu/src/kadu-4.3/kadu-core/dom/dom-visitor-provider-repository.cpp:0: Note: No relevant classes found. No output generated.
AutoMoc: /home/jarek/kadu/kadu/src/kadu-4.3/kadu-core/gui/windows/main-window-repository.cpp:0: Note: No relevant classes found. No output generated.
AutoMoc: /home/jarek/kadu/kadu/src/kadu-4.3/kadu-core/message/message-manager.cpp:0: Note: No relevant classes found. No output generated.
AutoMoc: /home/jarek/kadu/kadu/src/kadu-4.3/kadu-core/message/message-manager-impl.cpp:0: Note: No relevant classes found. No output generated.
AutoMoc: /home/jarek/kadu/kadu/src/kadu-4.3/kadu-core/services/image-storage-service.cpp:0: Note: No relevant classes found. No output generated.
AutoMoc: /home/jarek/kadu/kadu/src/kadu-4.3/kadu-core/storage/storage-point-factory-impl.cpp:0: Note: No relevant classes found. No output generated.
AutoMoc: /home/jarek/kadu/kadu/src/kadu-4.3/kadu-core/storage/storage-point-factory.cpp:0: Note: No relevant classes found. No output generated.
[  1%] Built target libkadu_autogen
Scanning dependencies of target libkadu
[  1%] Building CXX object kadu-core/CMakeFiles/libkadu.dir/activate.cpp.o
/home/jarek/kadu/kadu/src/kadu-4.3/kadu-core/activate.cpp:1:10: fatal error: QtWidgets/QWidget: There is no such file or directory
 #include <QtWidgets/QWidget>
          ^~~~~~~~~~~~~~~~~~~
compilation terminated.
make[2]: *** [kadu-core/CMakeFiles/libkadu.dir/build.make:63: kadu-core/CMakeFiles/libkadu.dir/activate.cpp.o] Error 1
make[1]: *** [CMakeFiles/Makefile2:273: kadu-core/CMakeFiles/libkadu.dir/all] Error 2
make: *** [Makefile:141: all] Error 2
==> Error: error in build().
    Przerywam...

Last edited by ElNinijo (2018-06-09 15:55:44)

Offline

#14 2018-06-07 09:58:11

Lone_Wolf
Member
From: Netherlands, Europe
Registered: 2005-10-04
Posts: 6,072

Re: [Solved]qt5 problem + kadu

No need to translate , just prepend  LC_ALL=C to commands to get their output in english.
Please use [ code ] tags instead of [ quote ] for code.

Your builds of injeqt & qxmpp where done after you upgraded to qt 5.11 ?


Booting with apg Openrc, NOT systemd.
Automounting : not needed, i prefer pmount
Aur helpers : makepkg + my own local repo === rarely need them

Offline

#15 2018-06-07 16:53:20

ElNinijo
Member
Registered: 2010-11-20
Posts: 47

Re: [Solved]qt5 problem + kadu

injeqt - before
qxmpp - after

Offline

#16 2018-06-09 14:32:15

Lone_Wolf
Member
From: Netherlands, Europe
Registered: 2005-10-04
Posts: 6,072

Re: [Solved]qt5 problem + kadu

Please use [ code ] tags instead of [ quote ] for code.

Incase that's unclear : please edit post #13 so it uses [ code ] tags, see https://bbs.archlinux.org/help.php#bbcode

Also post the patch file you created to get rid of the qt5_use_modules error so we can replicate what happens.


Booting with apg Openrc, NOT systemd.
Automounting : not needed, i prefer pmount
Aur helpers : makepkg + my own local repo === rarely need them

Offline

#17 2018-06-09 16:24:07

ElNinijo
Member
Registered: 2010-11-20
Posts: 47

Re: [Solved]qt5 problem + kadu

post 13 corrected

i need to edit 3 files:
1. kadu/CMakeLists.txt
2. kadu/kadu-core/CMakeLists.txt
3. kadu/cmake/KaduMacros.cmake

these files i edited manually like in your post #10

Offline

#18 2018-06-10 17:22:07

loqs
Member
Registered: 2014-03-06
Posts: 4,935

Re: [Solved]qt5 problem + kadu

ElNinijo patches such as these help others recreate your work it also makes it easier for you to track what you have changed
https://ptpb.pw/0DXA kadu.patch still broken but seems to get further in the build.
https://ptpb.pw/qCWT injeqt .patch builds successfully.
Edit:
https://ptpb.pw/JPqM kadu.patch builds successfully no testing performed use at your own risk.

Last edited by loqs (2018-06-10 19:05:59)

Offline

#19 2018-06-11 18:34:36

ElNinijo
Member
Registered: 2010-11-20
Posts: 47

Re: [Solved]qt5 problem + kadu

@loqs very big thanks for your help with this patch

Is possible to contact with you?

Offline

#20 2018-06-11 19:16:53

loqs
Member
Registered: 2014-03-06
Posts: 4,935

Re: [Solved]qt5 problem + kadu

I prefer my anonymity.  Do the patches work for you or are there outstanding issues?

Offline

#21 2018-06-12 16:31:12

Lone_Wolf
Member
From: Netherlands, Europe
Registered: 2005-10-04
Posts: 6,072

Re: [Solved]qt5 problem + kadu

Thanks for making those patch files, Loqs.


Booting with apg Openrc, NOT systemd.
Automounting : not needed, i prefer pmount
Aur helpers : makepkg + my own local repo === rarely need them

Offline

#22 2018-06-12 16:33:21

ElNinijo
Member
Registered: 2010-11-20
Posts: 47

Re: [Solved]qt5 problem + kadu

loqs could you explain how to use these patches?
if in injeqt .patch at the end i have to add )

Offline

#23 2018-06-12 16:44:52

loqs
Member
Registered: 2014-03-06
Posts: 4,935

Re: [Solved]qt5 problem + kadu

Patching_packages#Applying_patches
Edit:
git diff of the injeqt PKGBUILD with changes to apply the patch

diff --git a/PKGBUILD b/PKGBUILD
index c351ef1..1a089c2 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -11,13 +11,16 @@ license=('LGPL2.1')
 depends=('qt5-base')
 makedepends=('cmake')
 source=($pkgname-$pkgver.tar.gz::$url/archive/$pkgver.tar.gz
-        gcc7-fix.patch)
+        gcc7-fix.patch
+        injeqt.patch)
 md5sums=('9a582037c454b1355e808bb2e07126bb'
-         '19e2666e706984b3b774c11c4379e7fe')
+         '19e2666e706984b3b774c11c4379e7fe'
+         '7c92bc579c25fe3fdc6b516b7e34ec80')
 
 prepare() {
   cd $pkgname-$pkgver
   patch -Np1 -i ../gcc7-fix.patch
+  patch -Np1 -i ../injeqt.patch
 }
 
 build() {

Last edited by loqs (2018-06-12 17:08:02)

Offline

#24 2018-06-13 17:59:53

ElNinijo
Member
Registered: 2010-11-20
Posts: 47

Re: [Solved]qt5 problem + kadu

makepkg -si
==> Make package : kadu 4.3-1 (śro, 13 cze 2018, 19:51:35)
==> Check depends need to  start//Sprawdzanie zależności potrzebnych do uruchomienia...
==> Check depends need to  build//Sprawdzanie zależności potrzebnych do budowy...
==> Download sources//Pobieranie źródeł...
  -> Find//Znaleziono kadu-4.3.tar.bz2
  -> Find//Znaleziono gcc7.patch
  -> Find//Znaleziono injeqt.patch
==> Check files source with md5sum//Sprawdzanie plików source za pomocą md5sums...
    kadu-4.3.tar.bz2 ... Zgadza się//ok
    gcc7.patch ... Zgadza się//ok
    injeqt.patch ... Zgadza się//ok
==> Extract sources//Rozpakowywanie źródeł...
  -> Extract//Rozpakowywanie kadu-4.3.tar.bz2 za pomocą bsdtar
==> Start//Rozpoczynanie prepare()...
patching file kadu-core/plugin/dependency-graph/plugin-dependency-graph-builder.h
Hunk #1 succeeded at 22 with fuzz 2.
patching file CMakeLists.txt
Hunk #2 FAILED at 178.
1 out of 2 hunks FAILED -- saving rejects to file CMakeLists.txt.rej
patching file cmake/KaduMacros.cmake
Hunk #3 FAILED at 202.
1 out of 3 hunks FAILED -- saving rejects to file cmake/KaduMacros.cmake.rej
patching file kadu-core/CMakeLists.txt
Hunk #2 FAILED at 174.
Hunk #3 FAILED at 213.
2 out of 3 hunks FAILED -- saving rejects to file kadu-core/CMakeLists.txt.rej
patching file plugins/gadu_protocol/CMakeLists.txt
patching file plugins/screenshot/CMakeLists.txt
patching file plugins/sms/CMakeLists.txt
patching file plugins/sound/CMakeLists.txt
patching file plugins/sql_history/CMakeLists.txt
patching file plugins/windows_integration/CMakeLists.txt
error in prepare

below my PKGBUILD

# $Id: PKGBUILD 208988 2017-01-25 08:21:35Z arojas $
# Contributor: Bartłomiej Piotrowski <bpiotrowski@archlinux.org>
# Contributor: Mateusz Herych
# Contributor: Jaroslaw Swierczynski <swiergot@aur.archlinux.org>

pkgname=kadu
pkgver=4.3
pkgrel=1
pkgdesc='Qt-based Jabber/XMPP and Gadu-Gadu client'
arch=('i686' 'x86_64')
url='http://www.kadu.im/'
license=('GPL')
depends=('enchant' 'hicolor-icon-theme' 'injeqt' 'libarchive' 'libgadu' 'libmpdclient' 'libotr'
         'libxss' 'qt5-multimedia' 'qt5-script' 'qt5-svg' 'qt5-webkit' 'qt5-x11extras' 'qxmpp')
makedepends=('cmake' 'qt5-tools')
options=('!emptydirs')
source=(http://download.kadu.im/stable/$pkgname-$pkgver.tar.bz2
        gcc7.patch injeqt.patch)
md5sums=('f8305014791133a107e9bad5d3b42280'
         'bc2c5ad95bc492cefd92964b4dfe24ca'
         'cdd09db3ec464d12991abe1c8add6b7d')

prepare() {
  cd $pkgname-$pkgver
  patch -Np1 -i ../gcc7.patch
  patch -Np1 -i ../injeqt.patch
  sed -i 's/ENCHANT enchant/ENCHANT enchant-2/' plugins/spellchecker/CMakeLists.txt
  sed -i 's/unity_integration//g' Plugins.cmake
  sed -i 's/indicator_docking//g' Plugins.cmake
}

build() {
  mkdir build
  cd build

  cmake ../$pkgname-$pkgver \
    -DCMAKE_BUILD_TYPE=Release \
    -DCMAKE_INSTALL_PREFIX=/usr \
    -DCMAKE_INSTALL_LIBDIR=lib \
    -DCMAKE_CXX_STANDARD=14 \
    -DENABLE_TESTS=OFF
  make
}

package() {
  cd build
  make DESTDIR="$pkgdir" LIBDIR=/usr/lib install
}

Offline

#25 2018-06-13 21:22:57

loqs
Member
Registered: 2014-03-06
Posts: 4,935

Re: [Solved]qt5 problem + kadu

The patching looks fine what appears to have changed is kadu-4.3.tar.bz2 I have its md5sum as 011899121ca5a7e653892f29072032e2 which matches the current PKGBUILD in AUR.
Edit:

makepkg -odd
==> Making package: kadu 4.3-1 (Wed 13 Jun 2018 22:32:50 UTC)
==> WARNING: Skipping dependency checks.
==> Retrieving sources...
  -> Downloading kadu-4.3.tar.bz2...
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed
100 7898k  100 7898k    0     0  2457k      0  0:00:03  0:00:03 --:--:-- 2457k
  -> Found gcc7.patch
  -> Found kadu.patch
==> Validating source files with md5sums...
    kadu-4.3.tar.bz2 ... Passed
    gcc7.patch ... Passed
    kadu.patch ... Passed
==> Extracting sources...
  -> Extracting kadu-4.3.tar.bz2 with bsdtar
==> Starting prepare()...
patching file kadu-core/plugin/dependency-graph/plugin-dependency-graph-builder.h
Hunk #1 succeeded at 22 with fuzz 2.
patching file CMakeLists.txt
patching file cmake/KaduMacros.cmake
patching file kadu-core/CMakeLists.txt
patching file plugins/gadu_protocol/CMakeLists.txt
patching file plugins/screenshot/CMakeLists.txt
patching file plugins/sms/CMakeLists.txt
patching file plugins/sound/CMakeLists.txt
patching file plugins/sql_history/CMakeLists.txt
patching file plugins/windows_integration/CMakeLists.txt

PKGBUILD

# $Id: PKGBUILD 208988 2017-01-25 08:21:35Z arojas $
# Contributor: Bartłomiej Piotrowski <bpiotrowski@archlinux.org>
# Contributor: Mateusz Herych
# Contributor: Jaroslaw Swierczynski <swiergot@aur.archlinux.org>

pkgname=kadu
pkgver=4.3
pkgrel=1
pkgdesc='Qt-based Jabber/XMPP and Gadu-Gadu client'
arch=('i686' 'x86_64')
url='http://www.kadu.im/'
license=('GPL')
depends=('enchant' 'hicolor-icon-theme' 'injeqt' 'libarchive' 'libgadu' 'libmpdclient' 'libotr'
         'libxss' 'qt5-multimedia' 'qt5-script' 'qt5-svg' 'qt5-webkit' 'qt5-x11extras' 'qxmpp')
makedepends=('cmake' 'qt5-tools')
options=('!emptydirs')
source=(http://download.kadu.im/stable/$pkgname-$pkgver.tar.bz2
        gcc7.patch
        kadu.patch)
md5sums=('011899121ca5a7e653892f29072032e2'
         'bc2c5ad95bc492cefd92964b4dfe24ca'
         'cdd09db3ec464d12991abe1c8add6b7d')

prepare() {
  cd $pkgname-$pkgver
  patch -Np1 -i ../gcc7.patch
  patch -Np1 -i ../kadu.patch
  sed -i 's/ENCHANT enchant/ENCHANT enchant-2/' plugins/spellchecker/CMakeLists.txt
  sed -i 's/unity_integration//g' Plugins.cmake
  sed -i 's/indicator_docking//g' Plugins.cmake
}

build() {
  mkdir -p build
  cd build

  cmake ../$pkgname-$pkgver \
    -DCMAKE_BUILD_TYPE=Release \
    -DCMAKE_INSTALL_PREFIX=/usr \
    -DCMAKE_INSTALL_LIBDIR=lib \
    -DCMAKE_CXX_STANDARD=14 \
    -DENABLE_TESTS=OFF
  make
}

package() {
  cd build
  make DESTDIR="$pkgdir" LIBDIR=/usr/lib install
}

Last edited by loqs (2018-06-13 22:34:53)

Offline

Board footer

Powered by FluxBB